Subject: Help with Windows DLL
From: "S. Krishnaprasad" <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 5 Feb 1999 15:55:09 +0530

Thanks to Mumit I could finally create and use a DLL created in cygwin
in a MSVC 6 console application.
I used
$ dllwrap --entry __cygwin_noncygwin_dll_entry@12 -o foo.dll --def foo.def --add-stdcall-alias [object files] [libraries needed]

After that I created the .LIB file using LIB.EXE of MSVC and I could link to the DLL
using both LoadLibrary method and directly using a call to the function also.

But when I try to use it in a Windows application it dosent work. It also does not give 
any errors. When I try to debug it it gives me error in NTDLL.DLL module.

Is there any option when creating the DLL  as a Windows DLL 
like --mswindows or something. I seem to have seen it being used somewhere .

Anybody Help

Thanks in advance 

S.Krishnaprasad
[email-masked]